Get a single user
curl --request GET \
--url https://eris.devops.truu.ai/api/v1/external/users/{tuid} \
--header 'X-API-Key: <api-key>'import requests
url = "https://eris.devops.truu.ai/api/v1/external/users/{tuid}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://eris.devops.truu.ai/api/v1/external/users/{tuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"name": "<string>",
"user_principal_name": "<string>",
"email_addresses": [
"<string>"
],
"group_guid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"security": {
"total_cases": 123,
"open_cases": 123,
"cases_by_state": {
"discover": 123,
"pending_investigation": 123,
"investigating": 123,
"enforced": 123,
"closed": 123
},
"active_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_case": {
"case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threat_type": "<string>",
"case_state": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"last_threat_event": {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"severity": "<string>",
"signal_type": "<string>",
"source": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_assigned_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}Users
Get a single user
GET
/
users
/
{tuid}
Get a single user
Authorizations
Domain-scoped API key. Generate and manage keys from the API Keys page in Settings.
Accepted in two forms:
X-API-Key: <key>header (preferred)Authorization: Bearer <key>header (also accepted)
Path Parameters
Response
User identity and profile
Security-relevant context derived from the user's activity.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

